% Assemble here all records vs. age at a given site

% Form a 2-column cell array named agerecs:
% corename variablename , time-measurement (2d arrays)

% The time-measurement arrays come from direct inputs of time-measurement, 
% and from age model interpolations.


empties = cellfun(@isempty,cores) ;

% Initialize matrix with dummy first line
% Columns will be name, record, type
agerecs = {[] [] []} ;

% Clear other variables
clear recname 
clear newrec
clear numrec
clear time_mod

% Check the number of cores at the site
numcores = size(cores,1);

for k = 1:numcores
    
    % Check for records entered vs. age
    if ~empties(k,3)
    numrec = size(cores{k,3},1);

        for i=1:numrec ;
        % Append those records
        recname = [cores{k,1} '|' cores{k,3}{i,1}] ;
        newrec = {recname, cores{k,3}{i,2}, cores{k,3}{i,3}};
        agerecs = [agerecs; newrec] ;
        end
    
    end
    

    
    % Check for records entered vs. depth with agemodels
    
    if ~empties(k,2) && ~isempty(cores{k,2}{1,2})

    % (Note first record is time-model, so left out of correlations)
    numrec = size(cores{k,2},1)-1;
    time_mod = cores{k,2}{1,2} ;
    
    for i=2:numrec+1 ;
     recname = [cores{k,1} '|' cores{k,2}{i,1}] ;
     rec = cores{k,2}{i,2}; 
     % interpolate time axis
     ti = interp1(time_mod(:,1),time_mod(:,2),rec(:,1)) ;
     % find all ages that are not NaNs
     goodind = ~isnan(ti) ;
     newrec = {recname, [ti(goodind) rec(goodind,2)], cores{k,2}{i,3}} ;
     % append record
     agerecs = [agerecs ; newrec] ;
    end
    end
end

% remove dummy first line
goodrecs = size(agerecs,1);
agerecs = agerecs(2:goodrecs,:);

     
         
        
         
         
    
         