%First, list all data by cores
%c = core number
%t = records on time axes
%d = records on depth axes

%Record types
%Odd numbers are concentrations or indexes, even numbers are fluxes
%0 = year model 
%1 = fish content 
%2 = fish flux 
%31/32 = TOC content /flux
%33/34 = TN
%35  = C:N
%37/38 = Carb
%39/40 = Opal
%41 = d15N
%43 = d13C
%45 = Foram assemblage
%47 = Productivity
%49 = Oxygen indicator
%101 = physical content 
%102 = physical flux 
%103/104 = quartz
%105/106 = SST
%107/108 = Al

run effingham/TUL99B03
c1 = 'TUL99B03' ;

d1 = {
    'year' , ddat.year, 0 ;
    'herring #/cm^3' , ddat.herr, 1 ;
    'anchovy #/cm^3' , ddat.anch, 1 ;
    'total #/cm^3' , ddat.tot, 1;
    'productivity g c /cm^2' , ddat.prod, 47 ;
    'winter temperature degrees C' , ddat.temp, 105 ;
    } ;

t1 = [] ;

run effingham/MD022494
c2 = 'MD02-2494' ;

d2 = {
    'year' , ddat.year, 0 ;
    'total n %' , ddat.tn, 33 ;
    'CaCO_3 %' , ddat.caco3, 37 ;
    'TOC %' , ddat.toc, 31 ;
    'Org C:N' , ddat.cn, 35 ;
    'Opal %' , ddat.opal, 39 ;
    'N-15 per mill' , ddat.n15, 41 ;
    'Mo/Al' , ddat.moal, 49 ;
    'U/Al' , ddat.ual, 49 ;
    } ;

t2 = [] ;

% Generate the cell-array for all the effingham cores

cores = {
    c1, d1 , t1  ;
    c2, d2 , t2  ;
    } ;
    