%First, list all data by cores
%c = core number
%t = records on time axes
%d = records on depth axes

%Record types
%Odd numbers are concentrations or indexes, even numbers are fluxes
%0 = year model 
%1 = fish content 
%2 = fish flux 
%31/32 = TOC content /flux
%33/34 = TN
%35  = C:N
%37/38 = Carb
%39/40 = Opal
%41 = d15N
%43 = d13C
%45 = Foram assemblage
%47 = Productivity
%49 = Oxygen indicator
%101 = physical content 
%102 = physical flux 
%103/104 = quartz
%105/106 = SST
%107/108 = Al

run guaymas/core78071305
c1 = '7807-1305' ;

d1 = [] ;

t1 = {
    'Anchovy Scales # 1000 cm^-2 year^-1' , tdat.anch, 2 ;
    'Sardine Scales # 1000 cm^-2 year^-1' , tdat.sar, 2 ;
    'Hake Scales # 1000 cm^-2 year^-1' , tdat.hake, 2 ;
    'Mackerel Scales # 1000 cm^-2 year^-1' , tdat.mack, 2 ;
    'Myctophid Scales # 1000 cm^-2 year^-1' , tdat.myct, 2 ;
    'Total Scales # 1000 cm^-2 year^-1' , tdat.tot, 2 ;
    } ;

run guaymas/coreBC50
c2 = 'BC50' ;

d2 = {
    'Year' , ddat.year, 0 ;
    'TOC %' , ddat.toc, 31 ;
    'N %' , ddat.n, 33 ;
    'C:N' , ddat.cn, 35 ;
    'Al %' , ddat.al, 107 ;
    'Mo ppm' , ddat.mo, 49 ;
    'Mo/Al' , ddat.moal, 49 ;
    'Opal %' , ddat.opal, 39 ;
    } ;

t2 = [] ;


% Generate the cell-array for all the guaymas cores

cores = {
    c1, d1 , t1  ;
    c2, d2 , t2  ;
    } ;
    