%First, list all data by cores
%c = core number
%t = records on time axes
%d = records on depth axes

%Record types
%Odd numbers are concentrations or indexes, even numbers are fluxes
%0 = year model 
%1 = fish content 
%2 = fish flux 
%31/32 = TOC content /flux
%33/34 = TN
%35  = C:N
%37/38 = Carb
%39/40 = Opal
%41 = d15N
%43 = d13C
%45 = Foram assemblage
%47 = Productivity
%49 = Oxygen indicator
%101 = physical content 
%102 = physical flux 
%103/104 = quartz
%105/106 = SST
%107/108 = Al

run mejillones/F981A
c1 = 'F981A' ;

d1 = [] ;

t1 = {
    'TOC mg cm^-2 yr^-1' , tdat.toc, 32 ;
    'Anchovy Scales # cm^-2 yr^-1' , tdat.anc, 2 ;
    'Sardine Scales # cm^-2 yr^-1' , tdat.sar, 2 ;
    'N-15 (anomaly) per mill' , tdat.n15, 41;
    } ;

run mejillones/core33C
c2 = '33C' ;

d2 = {
    [], [], [];
    'TOC %' , ddat.toc, 31 ;
    'Scales g^-1' , ddat.scales, 1 ;
    'Carbonates %' , ddat.carb, 37 ;
    'Silica %' , ddat.sil, 39 ;
    } ;

t2 = [] ;

run mejillones/BC3D
c3 = 'BC-3D' ;

d3 = [] ;

t3 = {
    'TOC %' , tdat.toc, 31 ;
    } ;

run mejillones/BC1
c4 = 'BC-1' ;

d4 = [] ;

t4 = {
    'Anchovy SDR # cm^-2 year^-1' , tdat.anch, 2 ;
    'Temperature C' , tdat.temp, 105 ;
    'OxInd mgCO2 g^-1' , tdat.oi, 49 ;
    'Quartz %' , tdat.quartz, 103 ;
    'TOC %' , tdat.toc, 31 ;
    } ;

cores = {
    c1, d1 , t1  ;
    c2, d2 , t2  ;
    c3, d3 , t3  ;
    c4, d4 , t4  ;
    } ;