%First, list all data by cores
%c = core number
%t = records on time axes
%d = records on depth axes

%Record types
%Odd numbers are concentrations or indexes, even numbers are fluxes
%0 = year model 
%1 = fish content 
%2 = fish flux 
%31/32 = TOC content /flux
%33/34 = TN
%35  = C:N
%37/38 = Carb
%39/40 = Opal
%41 = d15N
%43 = d13C
%45 = Foram assemblage
%47 = Productivity
%49 = Oxygen indicator
%101 = physical content 
%102 = physical flux 
%103/104 = quartz
%105/106 = SST
%107/108 = Al

run saanich/ODP1034
c1 = 'ODP1034' ;

d1 = {
    'year' , ddat.year, 0 ;
    'bones #/100cc' , ddat.bones, 1 ;
    'TOC %' , ddat.toc, 31 ;
    } ;

t1 = [] ;

run saanich/ODP1033
c2 = 'ODP1033' ;

d2 = {
    'year' , ddat.year, 0 ;
    'TOC %' , ddat.toc, 31 ;
    'TN %' , ddat.tn, 33 ;
    'CaCO_3 %' , ddat.caco3, 37 ;
    'Opal %' , ddat.opal, 39 ;
    'C-13 per mill' , ddat.c13, 43 ;
    'N-15 per mill' , ddat.n15, 41 ;
    'Al %' , ddat.al, 107 ;
    'Mo ppm' , ddat.mo, 49 ;
    'Mo/Al' , ddat.moal, 49 ;
    'C:N' , ddat.cn, 35 ;
    } ;

t2 = [] ;

% Generate the cell-array for all the saanich cores

cores = {
    c1, d1 , t1  ;
    c2, d2 , t2  ;
    } ;
    