%First, list all data by cores
%c = core number
%t = records on time axes
%d = records on depth axes

%Record types
%Odd numbers are concentrations or indexes, even numbers are fluxes
%0 = year model 
%1 = fish content 
%2 = fish flux 
%31/32 = TOC content /flux
%33/34 = TN
%35  = C:N
%37/38 = Carb
%39/40 = Opal
%41 = d15N
%43 = d13C
%45 = Foram assemblage
%47 = Productivity
%49 = Oxygen indicator
%101 = physical content 
%102 = physical flux 
%103/104 = quartz
%105/106 = SST
%107/108 = Al

run santabarbara/core214
c1 = '214' ;

d1 = [] ;

t1 = {
    'Sardine #' , tdat.sar, 1 ;
   	'Anchovy #' , tdat.anch, 1 ;
    'Hake #' , tdat.hake, 1 ;
    'Other Scales #' , tdat.oth, 1 ;
    'Total Scales #' , tdat.tot, 1 ;
    } ;

run santabarbara/SABA871
c2 = 'SABA87-1' ;

d2 = [] ;

t2 = {
    'TOC %' , tdat.toc, 31 ;
    'SST degrees C' , tdat.sst, 105 ;
        } ;

run santabarbara/SMB
c3 = 'SMB' ;

d3 = [] ;

t3 = {
    'N-15 per mill' , tdat.n15, 41 ;
    } ;

run santabarbara/ODP1017
c4 = 'ODP1017' ;

d4 = {
    'year' , ddat.year, 0 ;
    'N-15 per mill' , ddat.n15, 41 ;
    'TOC %' , ddat.toc, 31 ;
    } ;

t4 = [] ;

run santabarbara/ODP893
c5 = 'ODP893' ;

d5 = {
    'year' , ddat.year, 0 ;
    'N-15 per mill' , ddat.n15, 41 ;
    'TOC %' , ddat.toc, 31 ;
%    'Total Carbon %' , ddat.tc, 11 ; Leaving this out, since it is sum of
%    other two
%    'Inorganic Carbon %' , ddat.ic, 19 ; Also, this should be approx. CaCO3
    'CaCO_3 %' , ddat.caco3, 37 ;
    } ;

t5 = [] ;

run santabarbara/MD2503
c6 = 'MD2503' ;

d6 = {
    'year' , ddat.year, 0 ;
    'Total benthic foraminifera #' , ddat.benthic, 47 ;
    'Planktic / benthic foraminiferal ratio' , ddat.ratio, 45 ;
    'Dysoxic fauna %' , ddat.dysoxic, 49 ;
    'Suboxic fauna %' , ddat.suboxic, 49 ;
    'Weakly hypoxic-oxic fauna %' , ddat.hypoxic, 49 ;
    'Shannon diversity index' , ddat.diversity, 45 ;
    'Behl DO index' , ddat.bdo, 49 ;
    'Schmield DO index' , ddat.sdo, 49 ;
    } ;

t6 = [] ;

run santabarbara/MD2504
c7 = 'MD2504' ;

d7 = {
    'year' , ddat.year, 0 ;
    'Total benthic foraminifera #' , ddat.benthic, 47 ;
    'Planktic / benthic foraminiferal ratio' , ddat.ratio, 45 ;
    'Dysoxic fauna %' , ddat.dysoxic, 49 ;
    'Suboxic fauna %' , ddat.suboxic, 49 ;
    % This caused problems in the regression
    %'Weakly hypoxic-oxic fauna %' , ddat.hypoxic, 11 ;
    'Shannon diversity index' , ddat.diversity, 45 ;
    'Behl DO index' , ddat.bdo, 49 ;
    'Schmield DO index' , ddat.sdo, 49 ;
    } ;

t7 = [] ;

run santabarbara/BC1
c8 = 'BC-1' ;

d8 = [] ;

t8 = {
    'Otolith # 100 cm^-2 year^-1' , tdat.oto, 2 ;
    } ;

run santabarbara/SPR090102KC 
c9 = 'SPR0901-02KC' ;

d9 = [] ;

t9 = {
    'Anchovy Scales # cm^-3' , tdat.anch, 1 ;
    'Sardine Scales # cm^-3' , tdat.sar, 1 ;
    'Surf Perch Scales # cm^-3' , tdat.surf, 1 ;
    'Hake Scales # cm^-3' , tdat.hake, 1 ;
    } ;

% Generate the cell-array for all the santa barbara cores

cores = {
    c1, d1 , t1  ;
    c2, d2 , t2  ;
    c3, d3 , t3  ;
    c4, d4 , t4  ;
    c5, d5 , t5  ;
    c6, d6 , t6  ;
    c7, d7 , t7  ;
    c8, d8 , t8  ;
    c9, d9 , t9  ;
    } ;
    