%First, list all data by cores
%c = core number
%t = records on time axes
%d = records on depth axes

%Record types
%Odd numbers are concentrations or indexes, even numbers are fluxes
%0 = year model 
%1 = fish content 
%2 = fish flux 
%31/32 = TOC content /flux
%33/34 = TN
%35  = C:N
%37/38 = Carb
%39/40 = Opal
%41 = d15N
%43 = d13C
%45 = Foram assemblage
%47 = Productivity
%49 = Oxygen indicator
%101 = physical content 
%102 = physical flux 
%103/104 = quartz
%105/106 = SST
%107/108 = Al

run soledad/core244
c1 = '244' ;

d1 = [] ;

t1 = {
    'Sardine Scales # 100 cm^-2 year^-1' , tdat.sar, 2 ;
    'Anchovy Scales # 100 cm^-2 year^-1' , tdat.anch, 2 ;
    'Hake Scales # 100 cm^-2 year^-1' , tdat.hake, 2 ;
    'Total Scales # 100 cm^-2 year^-1' , tdat.tot, 2 ;
    } ;

run soledad/tul
c2 = 'TUL' ;

d2 = [] ;

t2 = {
    'TOC mg C g^-1' , tdat.toc, 32 ;
    } ;

% Generate the cell-array for all the soledad cores

cores = {
    c1, d1 , t1  ;
    c2, d2 , t2  ;
    } ;
    